%define short_name      logkit
%define short_Name      LogKit
%define name		avalon-%{short_name}
%define version		1.0.1
%define release		4jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java logging toolkit
License:	Apache License
Group:		Development/Libraries/Java
Url:		http://jakarta.apache.org/avalon/%{short_name}
Source0:	%{short_Name}-%{version}-src.tar.gz
Patch0:		%{name}.build.patch.bz2
Requires:	avalon-framework >= 4.1.2
Requires:	servlet
Requires:	jms
Requires:	jdbc-stdext
BuildRequires:	ant
BuildRequires:	junit
BuildRequires:	avalon-framework >= 4.1.2
BuildRequires:	servlet
BuildRequires:	jms
BuildRequires:	jdbc-stdext
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{short_Name}-%{version}
%patch
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/junit.jar:\
%{javadir}/avalon-framework.jar:\
%{javadir}/servlet.jar:\
%{javadir}/jms.jar:\
%{javadir}/jdbc-stdext.jar:\
build/classes
ant all
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc KEYS LICENSE README
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-4jpp 
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-3jpp 
- distribution tag
- group tag

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-2jpp 
- generic servlet support

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-1jpp 
- 1.0.1
- versioned dir for javadoc
- no dependencies for and javadoc package
- adaptation for new servlet3 package
- drop j2ee package
- regenerated the patch
- section package

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- javadoc into javadoc package
- Requires and BuildRequires servletapi3 >= 3.2.3-2
- regenerated the patch

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-3jpp
- changed extension --> jpp

* Tue Nov 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- non-free extension classes back in original archive
- removed packager tag

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- 1.0

* Tue Oct 9 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b5.2jpp
- non-free extension as additional package

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b5.1jpp
- 1.0b5
- first unified release
- used original tarball

* Mon Sep 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b4.1mdk
- first Mandrake release
